> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/eth-staking/redeem/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Redeem ETH POST https://www.okx.com/api/v5/finance/staking-defi/eth/redeem Content-Type: application/json Redeem BETH back into ETH. Redemption is processed over the product's redemption period unless fast redemption is available. Reference: https://okx-demo.ferndocs.com/api/api-reference/eth-staking/redeem ## Authentication - `OK-ACCESS-KEY` header (required) — Your API key. - `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string. - `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z. - `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key. ## Request ### Body (application/json) This endpoint expects an object. - `amt` (string, required) — Redeeming amount of BETH. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5FinanceStakingDefiEthRedeemPostResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5FinanceStakingDefiEthRedeemPostResponsesContentApplicationJsonSchemaDataItems ## Examples **Request** ```json { "amt": "1" } ``` **Response** ```json { "code": "0", "msg": "", "data": [] } ``` **SDK Code** ```python ethStaking_redeem_example import requests url = "https://www.okx.com/api/v5/finance/staking-defi/eth/redeem" payload = { "amt": "1" } headers = { "OK-ACCESS-KEY": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript ethStaking_redeem_example const url = 'https://www.okx.com/api/v5/finance/staking-defi/eth/redeem'; const options = { method: 'POST', headers: {'OK-ACCESS-KEY': '', 'Content-Type': 'application/json'}, body: '{"amt":"1"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go ethStaking_redeem_example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/finance/staking-defi/eth/redeem" payload := strings.NewReader("{\n \"amt\": \"1\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("OK-ACCESS-KEY", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby ethStaking_redeem_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/finance/staking-defi/eth/redeem") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["OK-ACCESS-KEY"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"amt\": \"1\"\n}" response = http.request(request) puts response.read_body ``` ```java ethStaking_redeem_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://www.okx.com/api/v5/finance/staking-defi/eth/redeem") .header("OK-ACCESS-KEY", "") .header("Content-Type", "application/json") .body("{\n \"amt\": \"1\"\n}") .asString(); ``` ```php ethStaking_redeem_example request('POST', 'https://www.okx.com/api/v5/finance/staking-defi/eth/redeem', [ 'body' => '{ "amt": "1" }', 'headers' => [ 'Content-Type' => 'application/json', 'OK-ACCESS-KEY' => '', ], ]); echo $response->getBody(); ``` ```csharp ethStaking_redeem_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/finance/staking-defi/eth/redeem"); var request = new RestRequest(Method.POST); request.AddHeader("OK-ACCESS-KEY", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"amt\": \"1\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift ethStaking_redeem_example import Foundation let headers = [ "OK-ACCESS-KEY": "", "Content-Type": "application/json" ] let parameters = ["amt": "1"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/finance/staking-defi/eth/redeem")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```